Subject: Re: [PATCH v2] of: WARN on deprecated #address-cells/#size-cells handling

From: Segher Boessenkool <[email-masked]>
Date: Thu, 14 Nov 2024 06:54:36 -0600

On Thu, Nov 07, 2024 at 10:35:58PM +1100, Michael Ellerman wrote:
> "Rob Herring (Arm)" <[email-masked]> writes:
> > While OpenFirmware originally allowed walking parent nodes and default
> > root values for #address-cells and #size-cells, FDT has long required
> > explicit values. It's been a warning in dtc for the root node since the
> > beginning (2005) and for any parent node since 2007. Of course, not all
> > FDT uses dtc, but that should be the majority by far. The various
> > extracted OF devicetrees I have dating back to the 1990s (various
> > PowerMac, OLPC, PASemi Nemo) all have explicit root node properties.
> 
> I have various old device trees that have been given to me over the
> years, and as far as I can tell they all have these properties (some of
> them are partial trees so it's hard to be 100% sure).

Many SUN systems won't have such superfluous properties.  But does
anyone use such systems at all anymore, and do people use dtc with
those :-)

Segher